From f107544e43fc3d262d9df5bde6eb430b7008825f Mon Sep 17 00:00:00 2001
From: David Kalnischkies <kalnischkies@gmail.com>
Date: Sun, 15 Aug 2010 19:12:35 +0200
Subject: add finally my very small testcase for the conkeror problem resulting
 in the FixByInstall code we currently "experiment" with

---
 test/integration/test-bug-591882-conkeror | 75 +++++++++++++++++++++++++++++++
 1 file changed, 75 insertions(+)
 create mode 100755 test/integration/test-bug-591882-conkeror

(limited to 'test/integration/test-bug-591882-conkeror')

diff --git a/test/integration/test-bug-591882-conkeror b/test/integration/test-bug-591882-conkeror
new file mode 100755
index 000000000..cba7e7665
--- /dev/null
+++ b/test/integration/test-bug-591882-conkeror
@@ -0,0 +1,75 @@
+#!/bin/sh
+set -e
+
+local TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+setupenvironment
+configarchitecture "i386"
+setupflataptarchive
+
+UPGRADEFAIL="Reading package lists...
+Building dependency tree...
+The following packages will be REMOVED:
+  conkeror libdatrie0 libkrb53 libxcb-xlib0 xulrunner-1.9
+The following NEW packages will be installed:
+  gcc-4.4-base libavahi-client3 libavahi-common-data libavahi-common3 libc-bin
+  libdatrie1 libdb4.7 libdb4.8 libdbus-1-3 libgssapi-krb5-2 libjasper1
+  libk5crypto3 libkrb5-3 libkrb5support0 liblzma2 libpam-modules libpam0g
+  libuuid1 libxcb-atom1 libxcb-aux0 libxcb-event1 libxml2 passwd
+  sensible-utils shared-mime-info xz-utils
+The following packages will be upgraded:
+  coreutils debconf debconf-i18n debianutils defoma dpkg file fontconfig
+  fontconfig-config libacl1 libatk1.0-0 libattr1 libbz2-1.0 libc6 libcairo2
+  libcomerr2 libcups2 libexpat1 libfontconfig1 libfreetype6 libgcc1
+  libgcrypt11 libgdbm3 libglib2.0-0 libgnutls26 libgpg-error0 libgtk2.0-0
+  libgtk2.0-common libhunspell-1.2-0 libice6 libjpeg62 libkeyutils1
+  liblocale-gettext-perl libmagic1 libncurses5 libnewt0.52 libnspr4-0d
+  libnss3-1d libpango1.0-0 libpango1.0-common libpcre3 libpixman-1-0
+  libpng12-0 libpopt0 libselinux1 libslang2 libsm6 libsqlite3-0
+  libstartup-notification0 libstdc++6 libtasn1-3 libtext-charwidth-perl
+  libtext-iconv-perl libtext-wrapi18n-perl libthai-data libthai0 libtiff4
+  libx11-6 libx11-data libxau6 libxcb-render-util0 libxcb-render0 libxcb1
+  libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfixes3 libxft2
+  libxi6 libxinerama1 libxrandr2 libxrender1 libxt6 lsb-base ncurses-bin perl
+  perl-base perl-modules readline-common sed ttf-dejavu-core ucf whiptail
+  x11-common zlib1g
+87 upgraded, 26 newly installed, 5 to remove and 0 not upgraded.
+Need to get 0B/54.4MB of archives.
+After this operation, 12.4MB of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation."
+
+UPGRADESUCCESS="Reading package lists...
+Building dependency tree...
+The following packages will be REMOVED:
+  libdatrie0 libkrb53 libxcb-xlib0 xulrunner-1.9
+The following NEW packages will be installed:
+  gcc-4.4-base libasound2 libavahi-client3 libavahi-common-data
+  libavahi-common3 libc-bin libdatrie1 libdb4.7 libdb4.8 libdbus-1-3
+  libgssapi-krb5-2 libjasper1 libk5crypto3 libkrb5-3 libkrb5support0 liblzma2
+  libmozjs2d libpam-modules libpam0g libreadline6 libuuid1 libxcb-atom1
+  libxcb-aux0 libxcb-event1 libxml2 passwd sensible-utils shared-mime-info
+  xulrunner-1.9.1 xz-utils
+The following packages will be upgraded:
+  conkeror coreutils debconf debconf-i18n debianutils defoma dpkg file
+  fontconfig fontconfig-config libacl1 libatk1.0-0 libattr1 libbz2-1.0 libc6
+  libcairo2 libcomerr2 libcups2 libexpat1 libfontconfig1 libfreetype6 libgcc1
+  libgcrypt11 libgdbm3 libglib2.0-0 libgnutls26 libgpg-error0 libgtk2.0-0
+  libgtk2.0-common libhunspell-1.2-0 libice6 libjpeg62 libkeyutils1
+  liblocale-gettext-perl libmagic1 libncurses5 libnewt0.52 libnspr4-0d
+  libnss3-1d libpango1.0-0 libpango1.0-common libpcre3 libpixman-1-0
+  libpng12-0 libpopt0 libselinux1 libslang2 libsm6 libsqlite3-0
+  libstartup-notification0 libstdc++6 libtasn1-3 libtext-charwidth-perl
+  libtext-iconv-perl libtext-wrapi18n-perl libthai-data libthai0 libtiff4
+  libx11-6 libx11-data libxau6 libxcb-render-util0 libxcb-render0 libxcb1
+  libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfixes3 libxft2
+  libxi6 libxinerama1 libxrandr2 libxrender1 libxt6 lsb-base ncurses-bin perl
+  perl-base perl-modules readline-common sed ttf-dejavu-core ucf whiptail
+  x11-common zlib1g
+88 upgraded, 30 newly installed, 4 to remove and 0 not upgraded.
+Need to get 0B/62.9MB of archives.
+After this operation, 36.0MB of additional disk space will be used.
+E: Trivial Only specified but this is not a trivial operation."
+
+# Test that the old behavior can be restored with the option
+testequal "$UPGRADEFAIL" aptget dist-upgrade --trivial-only -o pkgProblemResolver::FixByInstall=0
+testequal "$UPGRADESUCCESS" aptget dist-upgrade --trivial-only #-o pkgProblemResolver::FixByInstall=0
-- 
cgit v1.2.3


From ce9864a8bfdfc7f5380b3335a6a14f305d372d45 Mon Sep 17 00:00:00 2001
From: David Kalnischkies <kalnischkies@gmail.com>
Date: Wed, 18 Aug 2010 12:56:57 +0200
Subject: implement the first round of automated dummy package building and
 archive building

---
 test/integration/test-bug-591882-conkeror | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

(limited to 'test/integration/test-bug-591882-conkeror')

diff --git a/test/integration/test-bug-591882-conkeror b/test/integration/test-bug-591882-conkeror
index cba7e7665..b1dbb3a0a 100755
--- a/test/integration/test-bug-591882-conkeror
+++ b/test/integration/test-bug-591882-conkeror
@@ -5,7 +5,7 @@ local TESTDIR=$(readlink -f $(dirname $0))
 . $TESTDIR/framework
 setupenvironment
 configarchitecture "i386"
-setupflataptarchive
+setupaptarchive
 
 UPGRADEFAIL="Reading package lists...
 Building dependency tree...
-- 
cgit v1.2.3